import React, { useMemo } from "react";
import { View } from "react-native";
export default function GraphDivider(props) {
    var dividerList = useMemo(function () {
        var dividerCnt = 99 / props.dividerInterver;
        var dividerList = [];
        for (var index = 1; index < dividerCnt; index++) {
            dividerList.push(props.dividerInterver * index);
        }
        return dividerList;
    }, [props.dividerInterver]);
    return (<View style={{
            position: "absolute",
            marginLeft: props.leftPosition,
            flexDirection: "row",
            width: "100%",
            height: "100%",
            alignItems: "center",
        }}>
			{dividerList.map(function (div, i) {
            return (<View key={"div_" + div} style={[
                    {
                        position: "absolute",
                        borderRightWidth: props.dividerWidth,
                        borderColor: props.dividerColor,
                        width: (div + "%"),
                        height: props.dividerHeight,
                        justifyContent: "center",
                        alignItems: "center",
                    },
                ]}/>);
        })}
		</View>);
}
//# sourceMappingURL=GraphDivider.js.map