import React, { useMemo } from "react";
import { Text, View } from "react-native";
export default function PercentLabel(props) {
    var largeSize = useMemo(function () {
        return Math.round((props.barHeight / 2) * 1.3);
    }, [props.barHeight]);
    var smallSize = useMemo(function () {
        return Math.round(props.barHeight / 2);
    }, [props.barHeight]);
    var percentInteger = useMemo(function () {
        return Math.round((props.value / props.totalCnt) * 100).toFixed(0);
    }, [props.value, props.totalCnt]);
    var percentDecimal = useMemo(function () {
        if (props.percentFixed <= 0) {
            return null;
        }
        else {
            return (((props.value / props.totalCnt) * 100) % 1).toFixed(props.percentFixed).split(".")[1];
        }
    }, [props.value, props.totalCnt, props.percentFixed]);
    var textAlign = useMemo(function () {
        if (props.textAlign === "left") {
            return { justifyContent: "flex-start" };
        }
        else if (props.textAlign === "right") {
            return { justifyContent: "flex-end" };
        }
        else {
            return { justifyContent: "flex-end" };
        }
    }, [props.textAlign]);
    var percentWidth = useMemo(function () {
        var calcWidth = Math.round((props.barHeight / 2) * 1.3 * 2 * 0.85 + (props.barHeight / 2) * props.percentFixed * 0.7 + (props.barHeight / 2) * 0.65 * 2 + 4);
        return calcWidth;
    }, [props.barHeight, props.percentFixed]);
    return (<View style={[
            {
                flexDirection: "row",
                alignItems: "baseline",
                width: percentWidth,
            },
            textAlign,
        ]}>
			<Text allowFontScaling={false} numberOfLines={1} style={[
            { fontSize: largeSize, fontWeight: "bold" },
            props.valueColor !== undefined && {
                color: props.valueColor,
            },
        ]}>
				{percentInteger}
			</Text>
			{percentDecimal !== null && (<Text allowFontScaling={false} numberOfLines={1} style={[
                { fontSize: smallSize },
                props.valueColor !== undefined && {
                    color: props.valueColor,
                },
            ]}>
					{"." + percentDecimal}
				</Text>)}
			<Text allowFontScaling={false} numberOfLines={1} style={[
            { fontSize: smallSize },
            props.valueColor !== undefined && {
                color: props.valueColor,
            },
        ]}>
				{" %"}
			</Text>
		</View>);
}
//# sourceMappingURL=PercentLabel.js.map