import { useMemo } from "react";
export default function useDefaultProps(props) {
    var title = useMemo(function () {
        return props.title === undefined ? "" : props.title;
    }, [props.title]);
    var titlePosition = useMemo(function () {
        return props.titlePosition === undefined ? "top" : props.titlePosition;
    }, [props.titlePosition]);
    var barHeight = useMemo(function () {
        return props.barHeight === undefined ? 28 : props.barHeight;
    }, [props.barHeight]);
    var barHolderColor = useMemo(function () {
        return props.barHolderColor === undefined ? "#EEEEEE" : props.barHolderColor;
    }, [props.barHolderColor]);
    var barAnimated = useMemo(function () {
        return props.barAnimated === undefined ? true : props.barAnimated;
    }, [props.barAnimated]);
    var barLeftStyle = useMemo(function () {
        return props.barLeftStyle === undefined ? "rounded" : props.barLeftStyle;
    }, [props.barLeftStyle]);
    var barRightStyle = useMemo(function () {
        return props.barRightStyle === undefined ? "rounded" : props.barRightStyle;
    }, [props.barRightStyle]);
    var barHolderRightStyle = useMemo(function () {
        return props.barHolderRightStyle === undefined ? "rounded" : props.barHolderRightStyle;
    }, [props.barHolderRightStyle]);
    var showDivider = useMemo(function () {
        return props.showDivider === undefined ? true : props.showDivider;
    }, [props.showDivider]);
    var dividerInterver = useMemo(function () {
        return props.dividerInterver === undefined ? 20 : props.dividerInterver;
    }, [props.dividerInterver]);
    var dividerHeight = useMemo(function () {
        return props.dividerHeight === undefined ? "60%" : props.dividerHeight;
    }, [props.dividerHeight]);
    var dividerColor = useMemo(function () {
        return props.dividerColor === undefined ? "#BBBBBB" : props.dividerColor;
    }, [props.dividerColor]);
    var dividerWidth = useMemo(function () {
        return props.dividerWidth === undefined ? 1 : props.dividerWidth;
    }, [props.dividerWidth]);
    var percentPosition = useMemo(function () {
        return props.percentPosition === undefined ? "right" : props.percentPosition;
    }, [props.percentPosition]);
    var percentFixed = useMemo(function () {
        return props.percentFixed === undefined ? 0 : props.percentFixed;
    }, [props.percentFixed]);
    var enableTouchHighlight = useMemo(function () {
        return props.enableTouchHighlight === undefined ? true : props.enableTouchHighlight;
    }, [props.enableTouchHighlight]);
    var defaultProps = {
        graphData: props.graphData,
        title: title,
        titlePosition: titlePosition,
        barHeight: barHeight,
        barHolderColor: barHolderColor,
        barAnimated: barAnimated,
        barLeftStyle: barLeftStyle,
        barRightStyle: barRightStyle,
        barHolderRightStyle: barHolderRightStyle,
        showDivider: showDivider,
        dividerInterver: dividerInterver,
        dividerHeight: dividerHeight,
        dividerColor: dividerColor,
        dividerWidth: dividerWidth,
        percentPosition: percentPosition,
        percentFixed: percentFixed,
        enableTouchHighlight: enableTouchHighlight,
    };
    return defaultProps;
}
//# sourceMappingURL=useDefaultProps.js.map