import { ReactElement } from "react";
import { ColorValue, StyleProp, TextStyle, ViewStyle } from "react-native";
export interface IBarGraphData {
    readonly label: string;
    readonly value: number;
    readonly color?: ColorValue;
    readonly onPress?: (label: string, value: number, color: ColorValue) => void | Promise<void>;
}
export interface IHorizontalBarGraphsBaseProps {
    readonly graphData: IBarGraphData[];
    readonly style?: StyleProp<ViewStyle>;
    readonly title?: string;
    readonly titlePosition?: "top" | "bottom";
    readonly titleStyle?: StyleProp<TextStyle>;
    readonly barHeight?: number;
    readonly barHolderColor?: ColorValue;
    readonly barAnimated?: boolean;
    readonly barLeftStyle?: "rounded" | "square";
    readonly barRightStyle?: "rounded" | "square";
    readonly barHolderRightStyle?: "rounded" | "square";
    readonly showDivider?: boolean;
    readonly dividerInterver?: 4 | 5 | 10 | 20 | 25 | 33.3 | 50;
    readonly dividerHeight?: string | number | undefined;
    readonly dividerColor?: ColorValue;
    readonly dividerWidth?: number;
    readonly percentPosition?: "left" | "right" | "none";
    readonly percentFixed?: 0 | 1 | 2;
    readonly PercentLabelComponent?: PercentLabelComp | null | undefined;
    readonly enableTouchHighlight?: boolean;
}
export interface IPercentLabelCompProps {
    readonly value: number;
    readonly total: number;
    readonly color: ColorValue | undefined;
}
export type PercentLabelComp = (props: IPercentLabelCompProps) => ReactElement;
export interface IStackedCustomListItemProps {
    readonly label: string;
    readonly value: number;
    readonly color: ColorValue;
    readonly index: number;
    readonly totalCnt: number;
    readonly onTouching: (index: number, isTouched: boolean) => void;
    readonly PercentLabelComponent: PercentLabelComp;
}
export type StackedCustomListItem = (props: IStackedCustomListItemProps) => ReactElement;
//# sourceMappingURL=horizontal-bar-graphs-types.d.ts.map